{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../modules/common.nix
      ../modules/users.nix
      ../modules/locales.nix
      ../modules/services.nix
      ../modules/programs.nix
      ../modules/gaming.nix
    ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "legolas";
  networking.networkmanager.enable = true;
  networking.nameservers = [ "192.168.68.56" "1.1.1.1" "8.8.8.8" ];

  services.xserver.videoDrivers = ["nvidia"];

  hardware = {
    graphics.enable = true;

    nvidia.modesetting.enable = true;
    nvidia.open = true;
    nvidia.nvidiaSettings = true;
  };

  virtualisation.libvirtd.enable = true;
  
  system.stateVersion = "25.11"; # Did you read the comment?
}
